import { EActionStatus } from "../enum/EActionStatus";
import { EActionType } from "../enum/EActionType";
import { IAction } from "../interface/IAction";
import { ActionParams } from "../type/ActionParams";
import { EActionPriorityType } from "../enum/EActionPriorityType";
import { TConfirmMessages } from "../type/TConfirmMessages";
export declare class BaseAction implements IAction {
    id: string;
    type: EActionType;
    status: EActionStatus;
    datetime: number;
    params: ActionParams;
    requiredConfirm: boolean;
    requiredReintent: boolean;
    intent: number;
    priority: EActionPriorityType;
    messageConfirm: Array<TConfirmMessages>;
    constructor(params: ActionParams);
    getParams(): ActionParams;
    setParams(value: ActionParams): void;
}
