import { EActionStatus } from "../enum/EActionStatus";
import { v4 as uuidv4 } from "uuid";
import { EActionPriorityType } from "../enum/EActionPriorityType";
var BaseAction = /** @class */ (function () {
    function BaseAction(params) {
        this.requiredConfirm = false;
        this.requiredReintent = false;
        this.intent = 0;
        this.priority = EActionPriorityType.FIFO;
        this.messageConfirm = [];
        this.params = params;
        this.datetime = Date.now();
        this.id = uuidv4();
        this.status = EActionStatus.INIT;
    }
    BaseAction.prototype.getParams = function () {
        return this.params;
    };
    BaseAction.prototype.setParams = function (value) {
        this.params = value;
    };
    return BaseAction;
}());
export { BaseAction };
