import { RegionChangeActionParams } from "./RegionChangeActionParams";
import { InitActionParams } from "./InitActionParams";
import { ActiveProxyActionParams } from "./ActiveProxyActionParams";
import { DisconnectParams } from "./DisconnectParams";
import { ToggleVoiceActionParams } from "./ToggleVoiceActionParams";
import { ChangeDeviceActionParams } from "./ChangeDeviceActionParams";
import { SubscribeActionParams } from "./SubscribeActionParams";
import { UnsubscribeActionParams } from "./UnsubscribeActionParams";
import { ShareCameraActionParams } from "./ShareCameraActionParams";
import { ShareScreenActionParams } from "./ShareScreenActionParams";
import { ChangeRoleParams } from "./ChangeRoleParams";
import { ChangeModuleConfigParams } from "./ChangeModuleConfigParams";
export declare type ActionParams = RegionChangeActionParams | InitActionParams | ActiveProxyActionParams | DisconnectParams | ToggleVoiceActionParams | ChangeDeviceActionParams | SubscribeActionParams | UnsubscribeActionParams | ShareCameraActionParams | ShareScreenActionParams | ChangeRoleParams | ChangeModuleConfigParams;
