import { Determinants } from "./determinants/Determinants";
import { IContext } from "./interface/IContext";
import { Resources } from "./resources/Resources";
import { AgoraConfigT } from "./type/AgoraConfigT";
export declare class Context implements IContext {
    resources: Resources;
    determinants: Determinants;
    constructor(config: AgoraConfigT);
    getDeterminants(): Determinants;
    setDeterminants(value: Determinants): void;
    getResources(): Resources;
    setResources(value: Resources): void;
    canInit(): boolean;
    canRegionChange(): boolean;
    canActiveProxy(): boolean;
    canDisconnect(): boolean;
    canMute(): boolean;
    canShareCamera(): boolean;
    canShareScreen(): boolean;
    canChangeRole(): boolean;
}
