var Determinants = /** @class */ (function () {
    function Determinants(determinants) {
        if (determinants) {
            this.ConnectionState = determinants.ConnectionState;
            this.Updating = determinants.Updating;
            this.Role = determinants.Role;
            this.HasAudio = determinants.HasAudio;
            this.HasCamera = determinants.HasCamera;
            this.HasScreen = determinants.HasScreen;
            if (determinants.HasProxy)
                this.HasProxy = determinants.HasProxy;
            if (determinants.Uid)
                this.Uid = determinants.Uid;
            if (determinants.AppId)
                this.AppId = determinants.AppId;
            if (determinants.Channel)
                this.Channel = determinants.Channel;
            if (determinants.Muted)
                this.Muted = determinants.Muted;
            if (determinants.MicrophoneSelected)
                this.MicrophoneSelected = determinants.MicrophoneSelected;
            if (determinants.CameraSelected)
                this.CameraSelected = determinants.CameraSelected;
            if (determinants.PlayBackSelected)
                this.PlayBackSelected = determinants.PlayBackSelected;
            if (determinants.DeterminantsCallback)
                this.DeterminantsCallback = determinants.DeterminantsCallback;
            if (determinants.Init)
                this.Init = determinants.Init;
            if (determinants.LoggerViewCallback)
                this.LoggerViewCallback = determinants.LoggerViewCallback;
            if (determinants.volumenCallback)
                this.volumenCallback = determinants.volumenCallback;
            if (determinants.userInformation)
                this.userInformation = determinants.userInformation;
            if (determinants.actionDispatch)
                this.actionDispatch = determinants.actionDispatch;
            if (determinants.tranport)
                this.tranport = determinants.tranport;
            if (determinants.ChannelIncoming)
                this.ChannelIncoming = determinants.ChannelIncoming;
            if (determinants.RoleIncoming)
                this.RoleIncoming = determinants.RoleIncoming;
            if (determinants.NetworkQuality)
                this.NetworkQuality = determinants.NetworkQuality;
        }
    }
    Determinants.prototype.doDeterminatsCallback = function () {
        if (this.DeterminantsCallback) {
            this.getDeterminantsCallback()(this);
        }
    };
    Determinants.prototype.setDeterminantsCallback = function (value) {
        this.DeterminantsCallback = value;
    };
    Determinants.prototype.getDeterminantsCallback = function () {
        return this.DeterminantsCallback;
    };
    Determinants.prototype.getUid = function () {
        return this.Uid;
    };
    Determinants.prototype.setUid = function (value) {
        this.Uid = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getHasScreen = function () {
        return this.HasScreen;
    };
    Determinants.prototype.setHasScreen = function (value) {
        this.HasScreen = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getHasProxy = function () {
        return this.HasProxy;
    };
    Determinants.prototype.setHasProxy = function (value) {
        this.HasProxy = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getHasCamera = function () {
        return this.HasCamera;
    };
    Determinants.prototype.setHasCamera = function (value) {
        this.HasCamera = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getHasAudio = function () {
        return this.HasAudio;
    };
    Determinants.prototype.setHasAudio = function (value) {
        this.HasAudio = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getUpdating = function () {
        return this.Updating;
    };
    Determinants.prototype.setUpdating = function (value) {
        this.Updating = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getConnectionState = function () {
        return this.ConnectionState;
    };
    Determinants.prototype.setConnectionState = function (value) {
        this.ConnectionState = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getAppId = function () {
        return this.AppId;
    };
    Determinants.prototype.setAppId = function (value) {
        this.AppId = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getRole = function () {
        return this.Role;
    };
    Determinants.prototype.setRole = function (value) {
        this.Role = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getChannel = function () {
        return this.Channel;
    };
    Determinants.prototype.setChannel = function (value) {
        this.Channel = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getMuted = function () {
        return this.Muted;
    };
    Determinants.prototype.setMuted = function (value) {
        this.Muted = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getMicrophoneSelected = function () {
        return this.MicrophoneSelected;
    };
    Determinants.prototype.setMicrophoneSelected = function (value) {
        this.MicrophoneSelected = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getCameraSelected = function () {
        return this.CameraSelected;
    };
    Determinants.prototype.setCameraSelected = function (value) {
        this.CameraSelected = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getPlayBackSelected = function () {
        return this.PlayBackSelected;
    };
    Determinants.prototype.setPlayBackSelected = function (value) {
        this.PlayBackSelected = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getInit = function () {
        return this.Init;
    };
    Determinants.prototype.setInit = function (value) {
        this.Init = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getLoggerViewCallback = function () {
        return this.LoggerViewCallback;
    };
    Determinants.prototype.setLoggerViewCallback = function (value) {
        this.LoggerViewCallback = value;
    };
    Determinants.prototype.getNetworkQuality = function () {
        return this.NetworkQuality;
    };
    Determinants.prototype.setNetworkQuality = function (value) {
        this.NetworkQuality = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getVolumenCallback = function () {
        return this.volumenCallback;
    };
    Determinants.prototype.setVolumenCallback = function (value) {
        this.volumenCallback = value;
    };
    Determinants.prototype.setUserInformation = function (value) {
        this.userInformation = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getUserInformation = function () {
        return this.userInformation;
    };
    Determinants.prototype.setActionDispatch = function (value) {
        this.actionDispatch = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getActionDispatch = function () {
        return this.actionDispatch;
    };
    Determinants.prototype.setTranport = function (value) {
        this.tranport = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getTranport = function () {
        return this.tranport;
    };
    Determinants.prototype.setChannelIncoming = function (value) {
        this.ChannelIncoming = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getChannelIncoming = function () {
        return this.ChannelIncoming;
    };
    Determinants.prototype.setRoleIncoming = function (value) {
        this.RoleIncoming = value;
        this.doDeterminatsCallback();
    };
    Determinants.prototype.getRoleIncoming = function () {
        return this.RoleIncoming;
    };
    return Determinants;
}());
export { Determinants };
