import { IAgoraRTCClient } from "agora-rtc-sdk-ng";
export declare class Listeners {
    private _client;
    _readyCallback: boolean;
    constructor(client: IAgoraRTCClient);
    isReadyCallbacks(): boolean;
    setReadyCallbacks(ready: boolean): void;
    userJoined(callback: Function): void;
    userLeft(callback: Function): void;
    userPublished(callback: Function): void;
    userUnpublished(callback: Function): void;
    connectionState(callback: Function): void;
    joinFallbackToProxy(callback: Function): void;
    networkQuality(callback: Function): void;
}
