import { NetworkQuality } from "agora-rtc-sdk-ng";
import { RoleUserEnum } from "../../../../dist/module/context/enum/RoleUserEnum";
import { WSTransport } from "../../transport/WSTransport";
import * as Role from "../enum/RoleUserEnum";
import { ConnectionStateT } from "./ConnectionStateT";
import { DeviceT } from "./DeviceT";
export declare type TDeterminants = {
    ConnectionState: ConnectionStateT;
    Updating: boolean;
    Role: Role.RoleUserEnum;
    RoleIncoming?: RoleUserEnum;
    NetworkQuality?: NetworkQuality;
    HasAudio: boolean;
    HasCamera: boolean;
    HasScreen: boolean;
    HasProxy?: boolean;
    Uid?: number | string;
    AppId?: string;
    Channel?: string;
    ChannelIncoming?: string;
    Muted: boolean;
    MicrophoneSelected?: DeviceT;
    CameraSelected?: DeviceT;
    PlayBackSelected?: DeviceT;
    DeterminantsCallback?: Function;
    Init: boolean;
    LoggerViewCallback?: Function;
    volumenCallback?: Function;
    userInformation?: any;
    actionDispatch?: Function;
    tranport?: WSTransport;
};
