import { ClientConfig, IAgoraRTCClient, ICameraVideoTrack, ILocalVideoTrack, IMicrophoneAudioTrack } from "agora-rtc-sdk-ng";
import { Listeners } from "../listeners/Listeners";
export declare type TResources = {
    _configClient: ClientConfig;
    _client: IAgoraRTCClient;
    _listeners?: Listeners;
    _audioTrack?: IMicrophoneAudioTrack;
    _videoTrack?: ICameraVideoTrack;
    _screeanTrack?: ILocalVideoTrack;
    _resourcesCallback: Function;
    _volumenCallback: Function;
    _volumenInterval: Function;
};
