import { ErrorType } from "./enum/ErrorType";
import { BaseError } from "./base/BaseError";
import { CustomError } from "./CustomError";
export declare class AgoraError extends BaseError {
    type: ErrorType;
    title: string;
    message: string;
    datetime: number;
    constructor(type: ErrorType, title: string, message: string);
    static parseCustomError(error: any): Array<CustomError | AgoraError>;
}
