var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { ErrorType } from "./enum/ErrorType";
import { BaseError } from "./base/BaseError";
import { AgoraErrorCodes } from "./codes/AgoraErrorCodes";
import { ErrorTitles } from "./enum/ErrorTitles";
import { AgoraReasonErrors } from "./codes/AgoraReasonErrors";
var parseError = require('parse-error');
var AgoraError = /** @class */ (function (_super) {
    __extends(AgoraError, _super);
    function AgoraError(type, title, message) {
        return _super.call(this, type, title, message) || this;
    }
    AgoraError.parseCustomError = function (error) {
        var customError = [];
        var errorCode = [];
        if (error.message && error.type) {
            errorCode = AgoraErrorCodes.filter(function (code) { return error.message.indexOf(code) > 0; });
        }
        var _loop_1 = function (index) {
            var code = errorCode[index];
            var codeReason = AgoraReasonErrors.filter(function (error) { return error.code == code; });
            if (codeReason.length >= 0) {
                var reason = codeReason[0];
                customError.push(new AgoraError(ErrorType.AGORA, reason.notifiable ? ErrorTitles.UserAudioVideoError : ErrorTitles.InternalAudioVideoError, reason.reason));
            }
        };
        for (var index = 0; index < errorCode.length; index++) {
            _loop_1(index);
        }
        return customError;
    };
    return AgoraError;
}(BaseError));
export { AgoraError };
