import { AgoraError } from "../AgoraError";
import { CustomError } from "../CustomError";
import { ErrorType } from "../enum/ErrorType";
export interface ICustomError {
    type: ErrorType;
    title: string;
    message: string;
    datetime: number;
    getType(): ErrorType;
    setType(value: ErrorType): void;
    getTitle(): string;
    setTitle(value: string): void;
    getMessage(): string;
    setMessage(value: string): void;
    parseCustomError(error: any): Array<CustomError | AgoraError>;
}
