import { EActionStatus } from "../../action/enum/EActionStatus";
import { InitAction } from "../../action/InitAction";
import { IAction } from "../../action/interface/IAction";
import { Context } from "../../context/Context";
import { Logger } from "../../logger/Logger";
import { IManager } from "../interface/IManager";
export declare class BaseManager implements IManager {
    action: InitAction;
    context: Context;
    logger: Logger;
    constructor(action: InitAction, context: Context);
    setAction(action: IAction): void;
    getAction(): IAction;
    setContext(context: Context): void;
    getContext(): Context;
    performAction(): Promise<EActionStatus>;
    checkKeepOut(): boolean;
}
