import { Context } from "../context/Context";
import { IRule } from "./interface/IRule";
import { ActionParams } from "../action/type/ActionParams";
import { BaseRule } from "./base/BaseRule";
export declare class CommonRules extends BaseRule implements IRule {
    constructor(params: ActionParams);
    isClientInit(context: Context, instance: IRule): boolean;
    isHost(context: Context, instance: IRule): boolean;
    isInited(context: Context, instance: IRule): boolean;
    isNotInited(context: Context, instance: IRule): boolean;
    isConnected(context: Context, instance: IRule): boolean;
    isDisconnected(context: Context, instance: IRule): boolean;
}
