import { EActionType } from "./enum/EActionType";
import { ActionParams } from "./type/ActionParams";
import { BaseAction } from "./base/BaseAction";
import { IAction } from "./interface/IAction";

export class SubscribeAction extends BaseAction implements IAction{

    constructor(params : ActionParams){
        super(params);
        this.type = EActionType.SUBSCRIBE;
        this.requiredReintent = true;
    }

}