import { EErrorEngineTypes } from "../enum/EErrorEngineTypes";
import { TCallbackMessage } from "../type/TCallbackMessage";

export interface ILogger {
    debug : boolean;
    engines?: Array<EErrorEngineTypes>, 
    callbackMessage?: Function,
    log(message: TCallbackMessage) : void,
    error (message: TCallbackMessage) : void,
    info (message: TCallbackMessage) : void,
    warning (message: TCallbackMessage) : void,
    colorLog(message : TCallbackMessage, color : string):void
}