import { EActionStatus } from "../../action/enum/EActionStatus";
import { IAction } from "../../action/interface/IAction";
import { Context } from "../../context/Context";
import { Logger } from "../../logger/Logger";

export interface IManager {
    action: IAction,
    context: Context,
    logger: Logger,
    setAction(action:IAction):void
    getAction():IAction
    setContext(context:Context):void
    getContext():Context
    performAction(): Promise<EActionStatus>
}