import { ETransportType } from "../enum/ETransportType";
import { ETransportStatus } from "../enum/ETransportStatus";
import { ITransport } from "../interface/ITransport";

export class BaseTransport implements ITransport {

    public type: ETransportType = ETransportType.WEBSOCKET;
    public status!: ETransportStatus;
    public datetime: number = Date.now();
    public intanceEmmiterCallback!: any;
    
    public emit(): boolean {
        //TODO: EMIIT MESSAGE CONFIRM
        return true;
    }
    
    public getInstanceEmiterCallback(): any {
        return this.intanceEmmiterCallback;
    }

    public setInstanceEmiterCallback(value: any): void {
        this.intanceEmmiterCallback = value;
    }

   
}