import { Action } from "redux";
import { IAction } from "../../action/interface/IAction";
import { Context } from "../../context/Context";
import { ETransportStatus } from "../enum/ETransportStatus";
import { ETransportType } from "../enum/ETransportType";

export interface ITransport {
    type: ETransportType,
    status: ETransportStatus,
    datetime: number,
    intanceEmmiterCallback : any
    emit(): boolean
    getInstanceEmiterCallback(): any,
    setInstanceEmiterCallback(value: Function): void
}