import { ActionsHook } from "./module/hooks/ActionsHook";
import { Context as ContextClass } from "./module/context/Context";
export declare const useAgoraActions: typeof ActionsHook;
import { ConnectionStatesEnum, ConnectionStatesType } from "./module/context/enum/ConnectionStates";
import { CustomListernerLiveStreamingEnum, CustomListernerLiveStreamingType } from "./module/context/enum/CustomListernerLiveStreamingEnum";
import { DeviceTypeEnum, DeviceType } from "./module/context/enum/DeviceTypeEnum";
import { ListenerEnum, ListenerType } from "./module/context/enum/ListenerEnum";
import { LogLevelEnum, LogLevelType } from "./module/context/enum/LogLevelEnum";
import { MediaTypeEnum, MediaType } from "./module/context/enum/MediaTypeEnum";
import { RoleUserEnum, RoleUserType } from "./module/context/enum/RoleUserEnum";
import { LiveStreamProviderEnum, LiveStreamProviderType } from "./module/context/enum/LiveStreamProviderEnum";
export declare const EConnectionStates: typeof ConnectionStatesEnum;
export type { ConnectionStatesType as TConnectionStates };
export declare const ECustomListernerLiveStreaming: typeof CustomListernerLiveStreamingEnum;
export type { CustomListernerLiveStreamingType as TCustomListernerLiveStreaming };
export declare const EDeviceType: typeof DeviceTypeEnum;
export type { DeviceType as TDevice };
export declare const EListener: typeof ListenerEnum;
export type { ListenerType as TListener };
export declare const ELogLevel: typeof LogLevelEnum;
export type { LogLevelType as TLogLevel };
export declare const EMedia: typeof MediaTypeEnum;
export type { MediaType as TLoTMediaLevel };
export declare const ERoleUser: typeof RoleUserEnum;
export type { RoleUserType as TRoleUser };
export declare const ELiveStreamProvider: typeof LiveStreamProviderEnum;
export type { LiveStreamProviderType as TLiveStreamProvider };
export declare const EActionPriority: typeof EActionPriorityType;
import { EActionPriorityType } from "./module/action/enum/EActionPriorityType";
export declare const ContextReduxSlice: any;
export declare const ActionReduxSlice: any;
export declare const Context: typeof ContextClass;
