import { ICustomError } from "../interface/ICustomError";
import { ErrorType } from "../enum/ErrorType";
import { CustomError } from "../CustomError";
import { AgoraError } from "../AgoraError";
export declare class BaseError implements ICustomError {
    type: ErrorType;
    title: string;
    message: string;
    datetime: number;
    constructor(type: ErrorType, title: string, message: string);
    getType(): ErrorType;
    setType(value: ErrorType): void;
    getTitle(): string;
    setTitle(value: string): void;
    getMessage(): string;
    setMessage(value: string): void;
    getDatetime(): number;
    parseCustomError(error: any): Array<CustomError | AgoraError>;
}
