import { Context } from '../context/Context';
import { IWorker } from '../worker/interface/IWorker';
export declare function ActionsHook(): {
    Init: Function;
    RegionChange: Function;
    ReJoin: Function;
    ActiveProxy: Function;
    Disconnect: Function;
    ToggleVoice: Function;
    ChangeDevice: Function;
    ShareCamera: Function;
    ShareScreen: Function;
    ChangeRole: Function;
    ChangeModuleConfig: Function;
    AgoraContext: Context;
    Worker: IWorker;
    setLoggerExpose: Function;
    setTransportExpose: Function;
    setVolumenExpose: Function;
    microphones: Array<any>;
    cameras: Array<any>;
    speakers: Array<any>;
    contextUpdating: number;
    cameraSharing: boolean;
    screenSharing: boolean;
    initiated: boolean;
};
