import { IAction } from "../../action/interface/IAction";
import { CustomError } from "../../exception/CustomError";
import { EMessageType } from "../enum/EMessageType";
export declare type TCallbackMessage = {
    id: string;
    title: string;
    body: string;
    type?: EMessageType;
    action: IAction;
    errors: Array<CustomError> | any;
};
