import { Context } from "../context/Context";
import { IRule } from "./interface/IRule";
import { ActionParams } from "../action/type/ActionParams";
import { BaseRule } from "./base/BaseRule";
import { ChangeModuleConfigParams } from "../action/type/ChangeModuleConfigParams";
export declare class ChangeModuleConfigRules extends BaseRule implements IRule {
    constructor(params: ActionParams);
    validate(rules: Array<string>, context: Context): boolean;
    isValidConfigParams(params: ChangeModuleConfigParams): boolean;
}
