import * as Validator from 'validatorjs';
import { ActionParams } from '../../action/type/ActionParams';
import { Context } from '../../context/Context';
export interface IRule {
    params: ActionParams;
    validator: Validator.Validator<any>;
    errors: Array<any>;
    passes: boolean;
    fails: boolean;
    reset(): void;
    evaluate(data: any, rules: any, messages: any): boolean;
    getErrors(): Array<any>;
    passesOrFails(passes: Array<boolean>): boolean;
    validate(rules: Array<string>, context: Context): boolean;
}
