var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EWorkerType } from "./enum/EWorkerType";
import { EWorkerStatus } from "./enum/EWorkerStatus";
import { BaseWorker } from "./base/BaseWorker";
import { EActionPriorityType } from "../action/enum/EActionPriorityType";
var IntervalWorker = /** @class */ (function (_super) {
    __extends(IntervalWorker, _super);
    function IntervalWorker(context) {
        var _this = _super.call(this) || this;
        _this.context = context;
        _this.type = EWorkerType.SET_INTERVAL;
        _this.datetime = Date.now();
        _this.status = EWorkerStatus.INACTIVE;
        return _this;
    }
    /*@overwrite*/
    IntervalWorker.prototype.run = function () {
        var _this = this;
        setInterval(function () {
            if (_this.working == false) {
                if (_this.actions && _this.actions.length > 0) {
                    _this.working = true;
                    _this.handlerAction(_this.actions[0]);
                }
            }
            else {
                if (_this.actions.length > 0 && _this.actions[0].priority == EActionPriorityType.SUPER_LIFO) {
                    _this.working = true;
                    _this.handlerAction(_this.actions[0]);
                }
            }
        }, this.time);
    };
    return IntervalWorker;
}(BaseWorker));
export { IntervalWorker };
