import { EActionType } from "./enum/EActionType";
import { ActionParams } from "./type/ActionParams";
import { BaseAction } from "./base/BaseAction";
import { IAction } from "./interface/IAction";

export class ChangeModuleConfigAction extends BaseAction implements IAction{

    constructor(params : ActionParams){
        super(params);
        this.type = EActionType.CHANGE_MODULE_CONFIG;
        this.requiredReintent = false;
    }

}