import { EActionStatus } from "./enum/EActionStatus";
import { EActionType } from "./enum/EActionType";
import { ActionParams } from "./type/ActionParams";
import { v4 as uuidv4 } from "uuid";
import { BaseAction } from "./base/BaseAction";
import { IAction } from "./interface/IAction";

export class ChangeRoleAction extends BaseAction implements IAction{

    constructor(params : ActionParams){
        super(params);
        this.type = EActionType.CHANGE_ROLE;
        this.requiredReintent = true;
    }

}