import { EActionType } from "./enum/EActionType";
import { ActionParams } from "./type/ActionParams";
import { BaseAction } from "./base/BaseAction";
import { IAction } from "./interface/IAction";
import { EActionPriorityType } from "./enum/EActionPriorityType";
import { DisconnectParams } from "./type/DisconnectParams";

export class DisconnectAction extends BaseAction implements IAction{

    constructor(params : ActionParams){
        super(params);
        let disconnectParams : DisconnectParams = Object.assign(params);
        this.type = EActionType.DISCONNECT;
        this.priority = disconnectParams.priority ? disconnectParams.priority : EActionPriorityType.SUPER_LIFO;
    }

}