export enum ERuleTypes {
    /*InitActionRulesTypes*/
    IS_INITIATED = "is-inited",
    IS_NOT_INITIATED = "is-not-inited",
    INIT_PARAM_IS_TRUE = "init-param-is-true",

    /*RegionChangeActionRulesTypes*/
    IS_CLIENT_INIT = "is-client-created",
    IS_VALID_CHANNEL = "is-valid-channel",
    IS_PROXY_ACTIVE = "is-host",
    IS_HOST = "is-host",
    HAS_AUDIO = "has-audio",
    HAS_CAMERA = "has-camera",
    HAS_SCREEN = "has-screen",

    /*ActiveProxyActionulesTypes*/
    PROXY_VALID_TYPE="proxy-valid-type",

    /*ToggleVoiceRulesType*/
    HAS_AUDIO_TRACK="has-audio-track",
    IS_AUDIO_TRACK_ENABLE="is-audio-track-enable",

    /*ChangeDeviceRulesType*/
    IS_VALID_DEVICE="is-valid-device",

    /*SubscribeRulesType*/
    IS_CONNECTED="is-connected",

    /*ChangeRoleRulesType*/
    IS_DISCONNECTED="is-disconnected",
    IS_VALID_ROLE="is-valid-role",

    /*ChangeRoleRulesType*/
    IS_VALID_CONFIG_PARAMS="is-valid-config-params",


}