import { ETransportType } from "./enum/ETransportType";
import { ETransportStatus } from "./enum/ETransportStatus";
import { ITransport } from "./interface/ITransport";
import { BaseTransport } from "./base/BaseTransport";

export class WSTransport extends BaseTransport implements ITransport {

    constructor(intanceEmmiterCallback: Function){
        super();
        this.type = ETransportType.WEBSOCKET;
        this.setInstanceEmiterCallback(intanceEmmiterCallback);
    }

    /*@overwrite*/
    public emit(): boolean {
        //TODO: EMIIT MESSAGE CONFIRM
        return true;
    }
}